Bug 1471108 - [patch] enable nginx http_auth_request_module
[patch] enable nginx http_auth_request_module
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: nginx (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 08:36 EDT by Tim Niemueller
Modified: 2018-03-08 15:01 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable module in el6 package (1.15 KB, application/mbox)
2017-07-14 08:36 EDT, Tim Niemueller
no flags Details

  None (edit)
Description Tim Niemueller 2017-07-14 08:36:45 EDT
Created attachment 1298311 [details]
Patch to enable module in el6 package

Description of problem:
The current nginx package does not enable the http_auth_request module. However, this can be very useful. It is enabled by default for example in the official nginx docker images or on Ubuntu. We have used it in production and it works reliably and stable.

The attached patch can be applied to the Fedora package repository.
Comment 1 Tadej Janež 2017-07-14 10:26:09 EDT
This is basically a duplicate of bug 1372621.
Comment 2 Tim Niemueller 2017-08-15 03:57:48 EDT
Any opinion?
Comment 3 Tim Niemueller 2017-10-09 11:48:12 EDT
Any update here? It has been in the Fedora package for some time now.
Comment 4 Tadej Janež 2018-03-06 04:55:19 EST
(In reply to Tim Niemueller from comment #3)
> Any update here? It has been in the Fedora package for some time now.

Tim, I've pushed an update for EPEL7: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bf5d0a5f01

Would that work for you?
Comment 5 Tim Niemueller 2018-03-06 05:03:23 EST
Great, thanks!

One of our front-end servers still runs CentOS 6. We are using the self-built package there for now and it works just fine. If you get around to update for el6 that's nice, if not it's not a problem.

We use the auth hook to implement a permission policy for a docker registry (https://github.com/timn/rcll-sim-cluster/tree/master/kubernetes/registry/nginx-auth).
Comment 6 Tadej Janež 2018-03-08 15:01:07 EST
(In reply to Tim Niemueller from comment #5)
> 
> One of our front-end servers still runs CentOS 6. We are using the
> self-built package there for now and it works just fine. If you get around
> to update for el6 that's nice, if not it's not a problem.

Ok, I will then defer this for the time being.

> We use the auth hook to implement a permission policy for a docker registry
> (https://github.com/timn/rcll-sim-cluster/tree/master/kubernetes/registry/
> nginx-auth).

Cool.

Note You need to log in before you can comment on or make changes to this bug.